Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.wst.wsdl
Interface Binding

All Superinterfaces:
  javax.wsdl.Binding, ExtensibleElement, java.io.Serializable, WSDLElement

    public interface Binding

extends ExtensibleElement, javax.wsdl.Binding

A representation of the model object 'Binding'.

Since:
  1.0 This class represents a WSDL binding element. A binding defines message format and protocol details for operations and messages defined by a particular portType. There may be any number of bindings for a given portType.

  The following features are supported:

  - `QName`
  - `Undefined`
  - `EPort Type`
  - `EBinding Operations`
See Also:
  `WSDLPackage.getBinding()`

Method Summary
`EList` | `getEBindingOperations()` Returns the value of the 'EBinding Operations' containment reference list.
`PortType` | `getEPortType()` Returns the value of the 'EPort Type' reference
`javax.xml.namespace.QName` | `getQName()` Returns the value of the 'QName' attribute
`boolean` | `isUndefined()` Returns the value of the 'Undefined' attribute
`void` | `setEPortType(PortType value)` Sets the value of the '`EPort Type`' reference
`void` | `setQName(javax.xml.namespace.QName value)` Sets the value of the '`QName`' attribute
`void` | `setUndefined(boolean value)` Sets the value of the '`Undefined`' attribute

Methods inherited from interface org.eclipse.wst.wsdl.ExtensibleElement
`addExtensibilityElement, getEExtensibilityElements, getExtensibilityElements`

Methods inherited from interface org.eclipse.wst.wsdl.WSDLElement
`elementChanged, getContainer, getDocumentationElement, getElement, getEnclosingDefinition, setDocumentationElement, setElement, setEnclosingDefinition, updateElement, updateElement`

Methods inherited from interface javax.wsdl.Binding
`addBindingOperation, addExtensibilityElement, getBindingOperation, getBindingOperations, getDocumentationElement, getExtensibilityElements, getPortType, setDocumentationElement, setPortType`

Method Detail

### getQName

    javax.xml.namespace.QName getQName()

  Returns the value of the 'QName' attribute.

  If the meaning of the 'QName' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getQName` in interface `javax.wsdl.Binding`
  Returns:
    the value of the 'QName' attribute.
  See Also:
    `setQName(QName)`, `WSDLPackage.getBinding_QName()`

### setQName

    void setQName(javax.xml.namespace.QName value)

  Sets the value of the '`QName`' attribute.

  Specified by:
    `setQName` in interface `javax.wsdl.Binding`
  Parameters:
    `value` - the new value of the 'QName' attribute.
  See Also:
    `getQName()`

### isUndefined

    boolean isUndefined()

  Returns the value of the 'Undefined' attribute.

  If the meaning of the 'Undefined' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `isUndefined` in interface `javax.wsdl.Binding`
  Returns:
    the value of the 'Undefined' attribute.
  See Also:
    `setUndefined(boolean)`, `WSDLPackage.getBinding_Undefined()`

### setUndefined

    void setUndefined(boolean value)

  Sets the value of the '`Undefined`' attribute.

  Specified by:
    `setUndefined` in interface `javax.wsdl.Binding`
  Parameters:
    `value` - the new value of the 'Undefined' attribute.
  See Also:
    `isUndefined()`

### getEPortType

    PortType getEPortType()

  Returns the value of the 'EPort Type' reference.

  If the meaning of the 'EPort Type' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'EPort Type' reference.
  See Also:
    `setEPortType(PortType)`, `WSDLPackage.getBinding_EPortType()`

### setEPortType

    void setEPortType(PortType value)

  Sets the value of the '`EPort Type`' reference.

  Parameters:
    `value` - the new value of the 'EPort Type' reference.
  See Also:
    `getEPortType()`

### getEBindingOperations

    EList getEBindingOperations()

  Returns the value of the 'EBinding Operations' containment reference list. The list contents are of type `BindingOperation`.

  If the meaning of the 'EBinding Operations' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'EBinding Operations' containment reference list.
  See Also:
    `WSDLPackage.getBinding_EBindingOperations()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD